<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\Immo\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;
use Core\Entity\Entity\EntityProperty;

class ImmoCity extends Entity {

    //Constructeur
    function __construct($core) {
        //Version
        $this->Version = "2.0.0.0";

        //Nom de la table 
        $this->Core = $core;
        $this->TableName = "ImmoCity";
        $this->Alias = "ImmoCity";

        $this->Name = new Property("Name", "Name", TEXTAREA, false, $this->Alias);
        $this->Code = new Property("Code", "Code", TEXTAREA, false, $this->Alias);
        $this->TitleEstimation = new Property("TitleEstimation", "TitleEstimation", TEXTAREA, false, $this->Alias);
        $this->MetaEstimationDescription = new Property("MetaEstimationDescription", "MetaEstimationDescription", TEXTAREA, false, $this->Alias);
        $this->DescriptionEstimation = new Property("DescriptionEstimation", "DescriptionEstimation", TEXTAREA, false, $this->Alias);
       
        $this->TitleImmobilier = new Property("TitleImmobilier", "TitleImmobilier", TEXTAREA, false, $this->Alias);
        $this->MetaImmobilierDescription = new Property("MetaImmobilierDescription", "MetaImmobilierDescription", TEXTAREA, false, $this->Alias);
        $this->DescriptionImmobilier = new Property("DescriptionImmobilier", "DescriptionImmobilier", TEXTAREA, false, $this->Alias);
        
        
        $this->NoResultDescription = new Property("NoResultDescription", "NoResultDescription", TEXTAREA, false, $this->Alias);
        $this->RecentSale = new Property("RecentSale", "RecentSale", TEXTAREA, false, $this->Alias);

        //Creation de l entité 
        $this->Create();
    }
}

?>